﻿using AutomobilePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }

        [DisplayName("Shop's name")]
        public string Name { get; set; } = string.Empty;

        [DisplayName("Address")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Maximum cars' count in shop")]
        public int MaxCountCars { get; set; }

        [DisplayName("Opening date")]
        public DateTime OpeningDate { get; set; }

        public Dictionary<int, (ICarModel, int)> ShopCars { get; set; } = new();
    }
}
