﻿using System.ComponentModel.DataAnnotations;

namespace AutomobilePlantDatabaseImplement.Models
{
    public class CarComponent
    {
        public int Id { get; set; }
        [Required]
        public int CarId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Car Car { get; set; } = new();
    }
}