﻿using System.ComponentModel.DataAnnotations;

namespace AutomobilePlantDatabaseImplement.Models
{
    public class ShopCar
    {
        public int Id { get; set; }

        [Required]
        public int CarId { get; set; }

        [Required]
        public int ShopId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Shop Shop { get; set; } = new();

        public virtual Car Car { get; set; } = new();
    }
}
